function [t,y,ss] = nonlinearShooting(f,a,b,alpha,beta,s0)
res = @(s) residual(s,f,a,b,alpha,beta);
ss = fzero(res,s0);
[t,y]=ode45(f,[a b],[alpha,ss]);
end

function r = residual(s,f,a,b,alpha,beta)
[~,y]=ode45(f,[a b],[alpha;s]);
r = beta - y(end,1);
end
